pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/48362: math/mpfr tls support broken for NetBSD-6

>Number:         48362
>Category:       pkg
>Synopsis:       math/mpfr tls support broken for NetBSD-6
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Nov 03 01:25:00 +0000 2013
>Originator:     Nat Sloss
>Release:        pkgsrc-2013Q2
NetBSD beast 6.1.1_PATCH NetBSD 6.1.1_PATCH (PCIPAE) #13: Sat Nov  2 18:07:05 
EST 2013  build@test:/usr/src/sys/arch/i386/compile/obj/PCIPAE i386
Libmpfr won't work properly if built with tls support due to a bug in ld.elf_so,
refer to lib/48324.  This affects NetBSD 6.1.2 to NetBSD 6 and current before 
Mon, 21 Oct 2013 19:14:16 +0000.

Affected applications will most probably freeze/hang.
Refer to above
Without an updated ld.elf_so the only solution is to disable tls support in 
libmpfr on affected systems by adding


to the package makefile.



Home | Main Index | Thread Index | Old Index